Skip to main content
Employee / Packages

Get package item pay cycles by package item pay cycle id

This method requires the EmployeePackageItemPayCycles:Get permission to be associated with your role.

GET
/sp/package/item/pay-cycles/{package_item_pay_cycle_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
package_item_pay_cycle_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
package_item_idstring

Package Item Id

package_item_pay_cycle_idstring

Package Item Pay Cycle Id

pay_cycle_codestring

Pay Cycle Code

pay_cycle_idstring

Pay Cycle Id

pay_cycle_typeenum<string>

Package Cycle Type

Available options: REG12, 11MTHS
pay_cycles_per_yearnumber

Pay Cycles Per Year

status_flagenum<string>

Status Flag

Available options: active, inactive